{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.officeSuite && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Bureautique
    gnumeric      # tableur
    #kde4.ksnapshot# réalisation de capture d'écran

    ## Cartes mentales
    freemind

    ## Diagrammes & Schémas
    dia           # dessin & schéma technique

    ## Editeur de texte
    #lyx          # surcouche WISIWIM à LaTeX
    #focuswriter  # outil pour l'écriture
    #textadept     # un éditeur de texte facile pour copier-coller graphique
    #zim          # outil de prise de notes, wiki de bureau

    ## Visionneuse
    #kde5.okular   # pdf
    mcomix        # livres (cbr, liste d'images), gestion d'une bibliothèque
    pdfpc         # pdf
    qpdfview      # pdf
    gqview        # visionneuse image & gestion basique de collection
  ];
}
