{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf true {

  # fix: Hostname -s renvoie "Unknown host" alors que hostname renvoie la bonne valeur
  #      Il s'avère que hostname vérifie la validité du FQDN et du reverse.
  #      Fixer ces paramètres dans les hosts permet de faire tomber en marche
  networking.extraHosts = ''
    127.0.0.1   ${config.networking.hostName}
  '';

  # Activation du routage
  boot.kernel.sysctl = {
    "net.ipv4.conf.all.forwarding" = true;
    "net.ipv4.conf.default.forwarding" = true;
  };
}
