{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.swap {

  # Gestion du swap

  # https://en.wikipedia.org/wiki/Swappiness
  boot.kernel.sysctl = {
    # le swap est activé (!= 0)
    # le swap est utilisé lorsque (100 - x) % de la mémoire est déja allouée
    "vm.swappiness" = 10;
  };
}
